/*

Copyright c) 2003-2004, AXE, Inc.  All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/

#ifndef _OPVP_RPC_REQNO_02_H_
#define _OPVP_RPC_REQNO_02_H_


#define RPCNO_READY			1000
#define RPCNO_ECHO			1001

#define RPCNO_START			100

#if (_PDAPI_VERSION_MAJOR_ == 0 && _PDAPI_VERSION_MINOR_ < 2)
#define RPCNO_OPENPRINTER		RPCNO_START + 0
#define RPCNO_CLOSEPRINTER		RPCNO_START + 1
#define RPCNO_STARTJOB			RPCNO_START + 2
#define RPCNO_ENDJOB			RPCNO_START + 3
#define RPCNO_STARTDOC			RPCNO_START + 4
#define RPCNO_ENDDOC			RPCNO_START + 5
#define RPCNO_STARTPAGE			RPCNO_START + 6
#define RPCNO_ENDPAGE			RPCNO_START + 7
#define RPCNO_RESETCTM			RPCNO_START + 8
#define RPCNO_SETCTM			RPCNO_START + 9
#define RPCNO_GETCTM			RPCNO_START + 10
#define RPCNO_INITGS			RPCNO_START + 11
#define RPCNO_SAVEGS			RPCNO_START + 12
#define RPCNO_RESTOREGS			RPCNO_START + 13
#define RPCNO_QUERYCOLORSPACE		RPCNO_START + 14
#define RPCNO_SETCOLORSPACE		RPCNO_START + 15
#define RPCNO_GETCOLORSPACE		RPCNO_START + 16
#define RPCNO_QUERYROP			RPCNO_START + 17
#define RPCNO_SETROP			RPCNO_START + 18
#define RPCNO_GETROP			RPCNO_START + 19
#define RPCNO_SETFILLMODE		RPCNO_START + 20
#define RPCNO_GETFILLMODE		RPCNO_START + 21
#define RPCNO_SETALPHACONSTANT		RPCNO_START + 22
#define RPCNO_GETALPHACONSTANT		RPCNO_START + 23
#define RPCNO_SETLINEWIDTH		RPCNO_START + 24
#define RPCNO_GETLINEWIDTH		RPCNO_START + 25
#define RPCNO_SETLINEDASH		RPCNO_START + 26
#define RPCNO_GETLINEDASH		RPCNO_START + 27
#define RPCNO_SETLINEDASHOFFSET		RPCNO_START + 28
#define RPCNO_GETLINEDASHOFFSET		RPCNO_START + 29
#define RPCNO_SETLINESTYLE		RPCNO_START + 30
#define RPCNO_GETLINESTYLE		RPCNO_START + 31
#define RPCNO_SETLINECAP		RPCNO_START + 32
#define RPCNO_GETLINECAP		RPCNO_START + 33
#define RPCNO_SETLINEJOIN		RPCNO_START + 34
#define RPCNO_GETLINEJOIN		RPCNO_START + 35
#define RPCNO_SETMITERLIMIT		RPCNO_START + 36
#define RPCNO_GETMITERLIMIT		RPCNO_START + 37
#define RPCNO_SETPAINTMODE		RPCNO_START + 38
#define RPCNO_GETPAINTMODE		RPCNO_START + 39
#define RPCNO_SETSTROKECOLOR		RPCNO_START + 40
#define RPCNO_SETFILLCOLOR		RPCNO_START + 41
#define RPCNO_SETBGCOLOR		RPCNO_START + 42
#define RPCNO_NEWPATH			RPCNO_START + 43
#define RPCNO_ENDPATH			RPCNO_START + 44
#define RPCNO_STROKEPATH		RPCNO_START + 45
#define RPCNO_FILLPATH			RPCNO_START + 46
#define RPCNO_STROKEFILLPATH		RPCNO_START + 47
#define RPCNO_SETCLIPPATH		RPCNO_START + 48
#define RPCNO_SETCURRENTPOINT		RPCNO_START + 49
#define RPCNO_LINEPATH			RPCNO_START + 50
#define RPCNO_POLYGONPATH		RPCNO_START + 51
#define RPCNO_RECTANGLEPATH		RPCNO_START + 52
#define RPCNO_ROUNDRECTANGLEPATH	RPCNO_START + 53
#define RPCNO_BEZIERPATH		RPCNO_START + 54
#define RPCNO_ARCPATH			RPCNO_START + 55
#define RPCNO_DRAWBITMAPTEXT		RPCNO_START + 56
#define RPCNO_DRAWIMAGE			RPCNO_START + 57
#define RPCNO_STARTDRAWIMAGE		RPCNO_START + 58
#define RPCNO_TRANSFERDRAWIMAGE 	RPCNO_START + 59
#define RPCNO_ENDDRAWIMAGE		RPCNO_START + 60
#define RPCNO_STARTSCANLINE		RPCNO_START + 61
#define RPCNO_SCANLINE			RPCNO_START + 62
#define RPCNO_ENDSCANLINE		RPCNO_START + 63
#define RPCNO_STARTRASTER		RPCNO_START + 64
#define RPCNO_TRANSFERRASTERDATA	RPCNO_START + 65
#define RPCNO_SKIPRASTER		RPCNO_START + 66
#define RPCNO_ENDRASTER			RPCNO_START + 67
#define RPCNO_STARTSTREAM		RPCNO_START + 68
#define RPCNO_TRANSFERSTREAMDATA 	RPCNO_START + 69
#define RPCNO_ENDSTREAM			RPCNO_START + 70
#else
#define RPCNO_OPENPRINTER		RPCNO_START + 0
#define RPCNO_CLOSEPRINTER		RPCNO_START + 1
#define RPCNO_STARTJOB			RPCNO_START + 2
#define RPCNO_ENDJOB			RPCNO_START + 3
#define RPCNO_STARTDOC			RPCNO_START + 4
#define RPCNO_ENDDOC			RPCNO_START + 5
#define RPCNO_STARTPAGE			RPCNO_START + 6
#define RPCNO_ENDPAGE			RPCNO_START + 7
#define RPCNO_QUERYDEVICECAPABILITY	RPCNO_START + 8
#define RPCNO_QUERYDEVICEINFO		RPCNO_START + 9
#define RPCNO_RESETCTM			RPCNO_START + 10
#define RPCNO_SETCTM			RPCNO_START + 11
#define RPCNO_GETCTM			RPCNO_START + 12
#define RPCNO_INITGS			RPCNO_START + 13
#define RPCNO_SAVEGS			RPCNO_START + 14
#define RPCNO_RESTOREGS			RPCNO_START + 15
#define RPCNO_QUERYCOLORSPACE		RPCNO_START + 16
#define RPCNO_SETCOLORSPACE		RPCNO_START + 17
#define RPCNO_GETCOLORSPACE		RPCNO_START + 18
#define RPCNO_QUERYROP			RPCNO_START + 19
#define RPCNO_SETROP			RPCNO_START + 20
#define RPCNO_GETROP			RPCNO_START + 21
#define RPCNO_SETFILLMODE		RPCNO_START + 22
#define RPCNO_GETFILLMODE		RPCNO_START + 23
#define RPCNO_SETALPHACONSTANT		RPCNO_START + 24
#define RPCNO_GETALPHACONSTANT		RPCNO_START + 25
#define RPCNO_SETLINEWIDTH		RPCNO_START + 26
#define RPCNO_GETLINEWIDTH		RPCNO_START + 27
#define RPCNO_SETLINEDASH		RPCNO_START + 28
#define RPCNO_GETLINEDASH		RPCNO_START + 29
#define RPCNO_SETLINEDASHOFFSET		RPCNO_START + 30
#define RPCNO_GETLINEDASHOFFSET		RPCNO_START + 31
#define RPCNO_SETLINESTYLE		RPCNO_START + 32
#define RPCNO_GETLINESTYLE		RPCNO_START + 33
#define RPCNO_SETLINECAP		RPCNO_START + 34
#define RPCNO_GETLINECAP		RPCNO_START + 35
#define RPCNO_SETLINEJOIN		RPCNO_START + 36
#define RPCNO_GETLINEJOIN		RPCNO_START + 37
#define RPCNO_SETMITERLIMIT		RPCNO_START + 38
#define RPCNO_GETMITERLIMIT		RPCNO_START + 39
#define RPCNO_SETPAINTMODE		RPCNO_START + 40
#define RPCNO_GETPAINTMODE		RPCNO_START + 41
#define RPCNO_SETSTROKECOLOR		RPCNO_START + 42
#define RPCNO_SETFILLCOLOR		RPCNO_START + 43
#define RPCNO_SETBGCOLOR		RPCNO_START + 44
#define RPCNO_NEWPATH			RPCNO_START + 45
#define RPCNO_ENDPATH			RPCNO_START + 46
#define RPCNO_STROKEPATH		RPCNO_START + 47
#define RPCNO_FILLPATH			RPCNO_START + 48
#define RPCNO_STROKEFILLPATH		RPCNO_START + 49
#define RPCNO_SETCLIPPATH		RPCNO_START + 50
#define RPCNO_RESETCLIPPATH		RPCNO_START + 51
#define RPCNO_SETCURRENTPOINT		RPCNO_START + 52
#define RPCNO_LINEPATH			RPCNO_START + 53
#define RPCNO_POLYGONPATH		RPCNO_START + 54
#define RPCNO_RECTANGLEPATH		RPCNO_START + 55
#define RPCNO_ROUNDRECTANGLEPATH	RPCNO_START + 56
#define RPCNO_BEZIERPATH		RPCNO_START + 57
#define RPCNO_ARCPATH			RPCNO_START + 58
#define RPCNO_DRAWBITMAPTEXT		RPCNO_START + 59
#define RPCNO_DRAWIMAGE			RPCNO_START + 60
#define RPCNO_STARTDRAWIMAGE		RPCNO_START + 61
#define RPCNO_TRANSFERDRAWIMAGE 	RPCNO_START + 62
#define RPCNO_ENDDRAWIMAGE		RPCNO_START + 63
#define RPCNO_STARTSCANLINE		RPCNO_START + 64
#define RPCNO_SCANLINE			RPCNO_START + 65
#define RPCNO_ENDSCANLINE		RPCNO_START + 66
#define RPCNO_STARTRASTER		RPCNO_START + 67
#define RPCNO_TRANSFERRASTERDATA	RPCNO_START + 68
#define RPCNO_SKIPRASTER		RPCNO_START + 69
#define RPCNO_ENDRASTER			RPCNO_START + 70
#define RPCNO_STARTSTREAM		RPCNO_START + 71
#define RPCNO_TRANSFERSTREAMDATA 	RPCNO_START + 72
#define RPCNO_ENDSTREAM			RPCNO_START + 73
#endif

#endif
